Integration with Svelte
You should be familiar with the basic concepts and patterns of Svelte before reading this documentation. To refresh your knowledge, please refer to the Svelte documentation.
DHTMLX RichText is compatible with Svelte. We have prepared code examples on how to use DHTMLX RichText with Svelte. For more information, refer to the corresponding Example on GitHub.
Creating a project
There are several ways of creating a Svelte project:
- you can use the SvelteKit
or
- you can also use Svelte with Vite (but without SvelteKit):
npm create vite@latest
Check the details in the related article.
Installation of dependencies
Let's name the project as my-svelte-richtext-app and go to the app directory:
cd my-svelte-richtext-app
Install dependencies and start the dev server. For this, use a package manager:
- if you use yarn, run the following commands:
yarn
yarn start
- if you use npm, run the following commands:
npm install
npm run dev
The app should run on a localhost (for instance http://localhost:3000).
Creating RichText
Now you should get the DHTMLX RichText source code. First of all, stop the app and proceed with installing the RichText package.
Step 1. Package installation
Download the trial RichText package and follow steps mentioned in the README file. Note that trial RichText is available 30 days only.
Step 2. Component creation
Now you need to create a Svelte component, to add a RichText into the application. Let's create a new file in the src/ directory and name it Richtext.svelte.
Importing source files
Open the Richtext.svelte file and import RichText source files. Note that:
- if you use PRO version and install the RichText package from a local folder, the import paths look like this:
<script>
import { Richtext} from 'dhx-richtext-package';
import 'dhx-richtext-package/dist/richtext.css';
</script>
- if you use the trial version of RichText, specify the following paths:
<script>
import { Richtext} from '@dhx/trial-richtext';
import '@dhx/trial-richtext/dist/richtext.css';
<script>
In this tutorial you can see how to configure the trial version of RichText.
Setting containers and adding RichText
To display RichText on the page, you need to create container for RichText, and initialize the component using the corresponding constructor:
<script>
import { onMount, onDestroy } from "svelte";
import { Richtext} from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";
let richtext_container; // initialize container for RichText
let editor;
onMount(() => {
// initialize the RichText component
editor = new Richtext(richtext_container, {});
});
onDestroy(() => {
editor?.destructor(); // destruct RichText
});
</script>
<div class="component_container">
<div bind:this={richtext_container} class="widget"></div>
</div>
Loading data
To add data into the RichText, we need to provide a data set. You can create the data.js file in the src/ directory and add some data into it:
export function getData() {
const value = `
<h2>RichText 2.0</h2>
<p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
<p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
return { value };
}
Then open the App.svelte file, import data, and pass it into the new created <RichText/> components as props:
<script>
import RichText from "./Richtext.svelte";
import { getData } from "./data.js";
const { value } = getData();
</script>
<RichText value={value} />
Go to the Richtext.svelte file and apply the passed props to the RichText configuration object:
<script>
import { onMount, onDestroy } from "svelte";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";
export let value
let richtext_container;
let editor;
onMount(() => {
editor = new Richtext(richtext_container, {
value
// other configuration properties
})
});
onDestroy(() => {
editor.destructor();
});
</script>
<div class="component_container">
<div bind:this={richtext_container} class="widget"></div>
</div>
You can also use the setValue() method inside the onMount() method of Svelte to load data into RichText:
<script>
import { onMount, onDestroy } from "svelte";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";
export let value;
let richtext_container;
let editor;
onMount(() => {
editor = new Richtext(richtext_container, {
// other configuration properties
})
editor.setValue(value);
});
onDestroy(() => {
editor.destructor();
});
</script>
<div class="component_container">
<div bind:this={richtext_container} class="widget"></div>
</div>
Now the RichText component is ready to use. When the element will be added to the page, it will initialize the RichText with data. You can provide necessary configuration settings as well. Visit our RichText API docs to check the full list of available properties.
Handling events
When a user makes some action in the RichText, it invokes an event. You can use these events to detect the action and run the desired code for it. See the full list of events.
Open Richtext.svelte and complete the onMount() method in the following way:
<script>
// ...
let editor;
onMount(() => {
editor = new Richtext(richtext_container, {})
editor.api.on("print", () => {
console.log("The document is printing");
});
});
onDestroy(() => {
editor?.destructor();
});
</script>
// ...
Step 3. Adding RichText into the app
To add the component into the app, open the App.svelte file and replace the default code with the following one:
<script>
import RichText from "./Richtext.svelte";
import { getData } from "./data.js";
const { value } = getData();
</script>
<RichText value={value} />
After that, you can start the app to see RichText loaded with data on a page.

Now you know how to integrate DHTMLX RichText with Svelte. You can customize the code according to your specific requirements. The final advanced example you can find on GitHub.

Integration with Angular
You should be familiar with basic concepts and patterns of Angular before reading this documentation. To refresh your knowledge, please refer to the Angular documentation.
DHTMLX RichText is compatible with Angular. We have prepared code examples on how to use DHTMLX RichText with Angular. For more information, refer to the corresponding Example on GitHub.
Creating a project
Before you start to create a new project, install Angular CLI and Node.js.
Create a new my-angular-richtext-app project using Angular CLI. Run the following command for this purpose:
ng new my-angular-richtext-app
If you want to follow this guide, disable Server-Side Rendering (SSR) and Static Site Generation (SSG/Prerendering) when creating new Angular app!
The command above installs all the necessary tools, so you don't need to run any additional commands.
Installation of dependencies
Go to the new created app directory:
cd my-angular-richtext-app
Install dependencies and start the dev server. For this, use the yarn package manager:
yarn
yarn start
The app should run on a localhost (for instance http://localhost:3000).
Creating RichText
Now you should get the DHTMLX RichText source code. First of all, stop the app and proceed with installing the RichText package.
Step 1. Package installation
Download the trial RichText package and follow steps mentioned in the README file. Note that trial RichText is available 30 days only.
Step 2. Component creation
Now you need to create an Angular component, to add Richtext into the application. Create the richtext folder in the src/app/ directory, add a new file into it and name it richtext.component.ts.
Import source files
Open the richtext.component.ts file and import RichText source files. Note that:
- if you use PRO version and install the RichText package from a local folder, the imported path looks like this:
import { Richtext} from 'dhx-richtext-package';
- if you use the trial version of RichText, specify the following path:
import { Richtext} from '@dhx/trial-richtext';
In this tutorial you can see how to configure the trial version of RichText.
Set containers and initialize the Richtext
To display RichText on the page, you need to set a container for RichText, and initialize the component using the corresponding constructor:
import { Richtext} from '@dhx/trial-richtext';
import { Component, ElementRef, OnInit, ViewChild, OnDestroy, ViewEncapsulation} from '@angular/core';
@Component({
    encapsulation: ViewEncapsulation.None,
    selector: "richtext", // a template name used in the "app.component.ts" file as <richtext />
    styleUrls: ["./richtext.component.css"], // include the css file
    template:  `<div class = "component_container">
                    <div #richtext_container class = "widget"></div>
                </div>`
})
export class RichTextComponent implements OnInit, OnDestroy {
    // initialize container for RichText
    @ViewChild("richtext_container", { static: true }) richtext_container!: ElementRef;
    private _editor!: Richtext;
    ngOnInit() {
        // initialize the RichText component
        this._editor = new Richtext(this.richtext_container.nativeElement, {});
    }
    ngOnDestroy(): void {
        this._editor.destructor(); // destruct RichText
    }
}
Adding styles
To display RichText correctly, you need to provide the corresponding styles. For this purpose, you can create the richtext.component.css file in the src/app/richtext/ directory and specify important styles for RichText and its container:
/* import RichText styles */
@import "@dhx/trial-richtext/dist/richtext.css";
/* specify styles for initial page */
html,
body{
    height: 100%;
    padding: 0;
    margin: 0;
}
/* specify styles for RichText container */
.component_container {
    height: 100%; 
    margin: 0 auto;
}
/* specify styles for RichText widget */
.widget {
    height: calc(100% - 56px);
}
Loading data
To add data into RichText, you need to provide a data set. You can create the data.ts file in the src/app/richtext/ directory and add some data into it:
export function getData() {
  const value = `
    <h2>RichText 2.0</h2>
    <p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
    <p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
  return { value };
}
Then open the richtext.component.ts file. Import the file with data and specify the corresponding data properties to the configuration object of RichText within the ngOnInit() method, as shown below:
import { Richtext} from '@dhx/trial-richtext';
import { getData } from "./data"; // import data
import { Component, ElementRef, OnInit, ViewChild, OnDestroy, ViewEncapsulation} from '@angular/core';
@Component({
    encapsulation: ViewEncapsulation.None,
    selector: "richtext", 
    styleUrls: ["./richtext.component.css"],
    template:  `<div class = "component_container">
                    <div #richtext_container class = "widget"></div>
                </div>`
})
export class RichTextComponent implements OnInit, OnDestroy {
    @ViewChild("richtext_container", { static: true }) richtext_container!: ElementRef;
    private _editor!: RichText;
    ngOnInit() {
        const { value } = getData(); // initialize data property
        this._editor = new Richtext(this.richtext_container.nativeElement, {
            value
            // other configuration properties 
        });
    }
    ngOnDestroy(): void {
        this._editor.destructor(); 
    }
}
You can also use the setValue() method inside the ngOnInit() method of Angular to load data into RichText.
import { Richtext} from '@dhx/trial-richtext';
import { getData } from "./data"; // import data
import { Component, ElementRef, OnInit, ViewChild, OnDestroy, ViewEncapsulation} from '@angular/core';
@Component({
    encapsulation: ViewEncapsulation.None,
    selector: "richtext", 
    styleUrls: ["./richtext.component.css"],
    template:  `<div class = "component_container">
                    <div #richtext_container class = "widget"></div>
                </div>`
})
export class RichTextComponent implements OnInit, OnDestroy {
    @ViewChild("richtext_container", { static: true }) richtext_container!: ElementRef;
    private _editor!: RichText;
    ngOnInit() {
        const { value } = getData(); // initialize data property
        this._editor = new Richtext(this.richtext_container.nativeElement, {
            // other configuration properties 
        });
        // apply the data via the setValue() method
        this._editor.setValue({ value }); 
    }
    ngOnDestroy(): void {
        this._editor.destructor(); 
    }
}
Now the RichText component is ready to use. When the element will be added to the page, it will initialize the RichText with data. You can provide necessary configuration settings as well. Visit our RichText API docs to check the full list of available properties.
Handling events
When a user makes some action in the RichText, it invokes an event. You can use these events to detect the action and run the desired code for it. See the full list of events.
Open the richtext.component.ts file and complete the ngOnInit() method in the following way:
// ...
ngOnInit() {
    this._editor = new Richtext(this.richtext_container.nativeElement, {});
    this._editor.api.on("print", () => {
        console.log("The document is printing");
    });
}
ngOnDestroy(): void {
    this._editor.destructor(); 
}
Step 3. Adding RichText into the app
To add the RichTextComponent component into your app, open the src/app/app.component.ts file and replace the default code with the following one:
import { Component } from "@angular/core";
@Component({
    selector: "app-root",
    template: `<richtext/>`
})
export class AppComponent {
    name = "";
}
Then create the app.module.ts file in the src/app/ directory and specify the RichTextComponent as shown below:
import { NgModule } from "@angular/core";
import { BrowserModule } from "@angular/platform-browser";
import { AppComponent } from "./app.component";
import { RichTextComponent } from "./richtext/richtext.component";
@NgModule({
    declarations: [AppComponent, RichTextComponent],
    imports: [BrowserModule],
    bootstrap: [AppComponent]
})
export class AppModule {}
The last step is to open the src/main.ts file and replace the existing code with the following one:
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";
import { AppModule } from "./app/app.module";
platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch((err) => console.error(err));
After that, you can start the app to see RichText loaded with data on a page.

Now you know how to integrate DHTMLX RichText with Angular. You can customize the code according to your specific requirements. The final advanced example you can find on GitHub.

Integration with Vue
You should be familiar with the basic concepts and patterns of Vue before reading this documentation. To refresh your knowledge, please refer to the Vue 3 documentation.
DHTMLX RichText is compatible with Vue. We have prepared code examples on how to use DHTMLX RichText with Vue 3. For more information, refer to the corresponding Example on GitHub.
Creating a project
Before you start to create a new project, install Node.js.
To create a Vue project, run the following command:
npm create vue@latest
This command installs and executes create-vue, the official Vue project scaffolding tool. Check the details in the Vue.js Quick Start.
Let's name the project as my-vue-richtext-app.
Installation of dependencies
Go to the app directory:
cd my-vue-richtext-app
Install dependencies and start the dev server. For this, use a package manager:
- if you use yarn, run the following commands:
yarn
yarn start // or yarn dev
- if you use npm, run the following commands:
npm install
npm run dev
The app should run on a localhost (for instance http://localhost:3000).
Creating RichText
Now you should get the DHTMLX RichText source code. First of all, stop the app and proceed with installing the RichText package.
Step 1. Package installation
Download the trial RichText package and follow steps mentioned in the README file. Note that trial RichText is available 30 days only.
Step 2. Component creation
Now you need to create a Vue component, to add RichText into the application. Create a new file in the src/components/ directory and name it Richtext.vue.
Import source files
Open the Richtext.vue file and import RichText source files. Note that:
- if you use PRO version and install the RichText package from a local folder, the import paths look like this:
<script>
import { Richtext} from 'dhx-richtext-package';
import 'dhx-richtext-package/dist/richtext.css';
</script>
- if you use the trial version of RichText, specify the following paths:
<script>
import { Richtext} from '@dhx/trial-richtext';
import '@dhx/trial-richtext/dist/richtext.css';
</script>
In this tutorial you can see how to configure the trial version of RichText.
Setting containers and adding Richtext
To display Richtext on the page, you need to create a container for RichText and initialize the component using the corresponding constructor:
<script>
import { Richtext} from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";
export default {
    mounted() {
        // initialize the RichText component
        this.editor = new Richtext(this.$refs.richtext_container, {});
    },
    unmounted() {
        this.editor.destructor(); // destruct RichText
    }
};
</script>
<template>
    <div class="component_container">
        <div ref="richtext_container" class="widget"></div>
    </div>
</template>
Adding styles
To display RichText correctly, you need to specify important styles for RichText and its container in the main css file of the project:
/* specify styles for initial page */
html,
body,
#app { /* make sure that you use the #app root container */
    height: 100%;
    padding: 0;
    margin: 0;
}
/* specify styles for RichText container */
.component_container {
    height: 100%; 
    margin: 0 auto;
}
/* specify styles for RichText widget */
.widget {
    height: calc(100% - 56px);
}
Loading data
To add data into the RichText, you need to provide a data set. You can create the data.js file in the src/ directory and add some data into it:
export function getData() {
  const value = `
    <h2>RichText 2.0</h2>
    <p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
    <p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
  return { value };
}
Then open the App.vue file, import data, and initialize it via the inner data() method. After this you can pass data into the new created <RichText/> component as props:
<script>
import RichText from "./components/Richtext.vue";
import { getData } from "./data";
export default {
    components: { RichText },
    data() {
        const { value } = getData();
        return { value };
    }
};
</script>
<template>
    <RichText :value="value" />
</template>
Go to the Richtext.vue file and apply the passed props to the RichText configuration object:
<script>
import { Richtext} from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";
export default {
    props: ["value"],
    mounted() {
        this.editor = new Richtext(this.$refs.richtext_container, {
            value: this.value,
            // other configuration properties
        });
    },
    unmounted() {
        this.editor.destructor(); 
    }
};
</script>
<template>
    <div class="component_container">
        <div ref="richtext_container" class="widget"></div>
    </div>
</template>
You can also use the setValue() method inside the mounted() method of Vue to load data into RichText:
<script>
import { Richtext} from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";
export default {
    props: ["value"],
    mounted() {
        this.editor = new Richtext(this.$refs.richtext_container, {
            // other configuration properties
        });
        this.editor.setValue(this.value);
    },
    unmounted() {
        this.editor.destructor(); 
    }
};
</script>
<template>
    <div class="component_container">
        <div ref="richtext_container" class="widget"></div>
    </div>
</template>
Now the RichText component is ready to use. When the element will be added to the page, it will initialize the RichText with data. You can provide necessary configuration settings as well. Visit our RichText API docs to check the full list of available properties.
Handling events
When a user makes some action in the RichText, it invokes an event. You can use these events to detect the action and run the desired code for it. See the full list of events.
Open Richtext.vue and complete the mounted() method:
<script>
// ...
export default {
    // ...
    mounted() {
        this.editor = new Richtext(this.$refs.cont, {});
        this.editor.api.on("print", () => {
            console.log("The document is printing");
        });
    },
    unmounted() {
        this.editor.destructor();
    }
}
</script>
// ...
After that, you can start the app to see RichText loaded with data on a page.

Now you know how to integrate DHTMLX RichText with Vue. You can customize the code according to your specific requirements. The final advanced example you can find on GitHub.

Integration with React
You should be familiar with the basic concepts and patterns of React before reading this documentation. To refresh your knowledge, please refer to the React documentation.
DHTMLX RichText is compatible with React. We have prepared code examples on how to use DHTMLX RichText with React. For more information, refer to the corresponding Example on GitHub.
Creating a project
You can create a basic React project or use React with Vite. Let's name the project as my-react-richtext-app:
npx create-react-app my-react-richtext-app
Installation of dependencies
Go to the new created app directory:
cd my-react-richtext-app
Install dependencies and start the dev server. For this, use a package manager:
- if you use yarn, run the following commands:
yarn
yarn start
- if you use npm, run the following commands:
npm install
npm run dev
The app should run on a localhost (for instance http://localhost:3000).
Creating RichText
Now you should get the DHTMLX RichText source code. First of all, stop the app and proceed with installing the RichText package.
Step 1. Package installation
Download the trial RichText package and follow steps mentioned in the README file. Note that trial RichText is available 30 days only.
Step 2. Component creation
Now you need to create a React component, to add a RichText into the application. Create a new file in the src/ directory and name it Richtext.jsx.
Importing source files
Open the Richtext.jsx file and import RichText source files. Note that:
- if you use PRO version and install the RichText package from a local folder, the import paths look like this:
import { Richtext} from 'dhx-richtext-package';
import 'dhx-richtext-package/dist/richtext.css';
- if you use the trial version of RichText, specify the following paths:
import { Richtext} from '@dhx/trial-richtext';
import "@dhx/trial-richtext/dist/richtext.css";
In this tutorial you can see how to configure the trial version of RichText.
Setting containers and adding Richtext
To display RichText on the page, you need to create container for RichText and initialize the component using the corresponding constructors:
import { useEffect, useRef } from "react";
import { Richtext} from '@dhx/trial-richtext';
import '@dhx/trial-richtext/dist/richtext.css'; // include RichText styles
export default function RichTextComponent(props) {
    let richtext_container = useRef(); // initialize container for RichText
    useEffect(() => {
        // initialize the RichText component
        const editor = new Richtext(richtext_container.current, {});
        return () => {
            editor.destructor(); // destruct RichText
        };
    }, []);
    return  <div className="component_container">
                <div ref={richtext_container} className="widget"></div>
            </div>
}
Adding styles
To display RichText correctly, you need to specify important styles for RichText and its container in the main css file of the project:
/* specify styles for initial page */
html,
body,
#root {
    height: 100%;
    padding: 0;
    margin: 0;
}
/* specify styles for RichText container */
.component_container {
    height: 100%; 
    margin: 0 auto;
}
/* specify styles for RichText widget */
.widget {
    height: calc(100% - 56px);
}
Loading data
To add data into the RichText, you need to provide a data set. You can create the data.js file in the src/ directory and add some data into it:
export function getData() {
  const value = `
    <h2>RichText 2.0</h2>
    <p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
    <p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
  return { value };
}
Then open the App.js file and import data. After this you can pass data into the new created <RichText/> components as props:
import RichText from "./Richtext";
import { getData } from "./data";
function App() {
    const { value } = getData();
    return <RichText value={value} />;
}
export default App;
Go to the Richtext.jsx file and apply the passed props to the RichText configuration object:
import { useEffect, useRef } from "react";
import { Richtext} from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";
export default function RichTextComponent(props) {
    let richtext_container = useRef();
    useEffect(() => {
        const editor = new Richtext(richtext_container.current, {
            value: props.value, // apply value
            // other configuration properties
        });
        return () => {
            editor.destructor();
        };
    }, []);
    return  <div className="component_container">
                <div ref={richtext_container} className="widget"></div>
            </div>
}
You can also use the setValue() method inside the useEffect() method of React to load data into RichText:
import { useEffect, useRef } from "react";
import { Richtext} from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";
export default function RichTextComponent(props) {
    let richtext_container = useRef();
    let value = props.value;
    useEffect(() => {
        const editor = new Richtext(richtext_container.current, {
            // configuration properties
        });
    
        editor.setValue(value);
        return () => {
            editor.destructor();
        };
    }, []);
    return  <div className="component_container">
                <div ref={richtext_container} className="widget"></div>
            </div>
}
Now the RichText component is ready. When the element will be added to the page, it will initialize the RichText with data. You can provide necessary configuration settings as well. Visit our RichText API docs to check the full list of available properties.
Handling events
When a user makes some action in the RichText, it invokes an event. You can use these events to detect the action and run the desired code for it. See the full list of events.
Open Richtext.jsx and complete the useEffect() method in the following way:
// ...
useEffect(() => {
    const editor = new Richtext(richtext_container.current, {});
    editor.api.on("print", () => {
        console.log("The document is printing");
    });
    
    return () => {
        editor.destructor();
    };
}, []);
// ...
After that, you can start the app to see RichText loaded with data on a page.

Now you know how to integrate DHTMLX RichText with React. You can customize the code according to your specific requirements. The final advanced example you can find on GitHub.